org.apache.jmeter.protocol.http.util

## Class EncoderCache

- java.lang.Object
- - org.apache.jmeter.protocol.http.util.EncoderCache

    public class EncoderCache
    extends Object

### Field Summary

Fields
`static String` `URL_ARGUMENT_ENCODING` The encoding which should be usd for URLs, according to HTTP specification

### Constructor Summary

Constructors
Constructor and Description
`EncoderCache(int cacheSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getEncoded(String k)` Get the specified value URL encoded using UTF-8 encoding
`String` `getEncoded(String k, String contentEncoding)` Get the specified value URL encoded using the specified encoding

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### URL_ARGUMENT_ENCODING

    public static final String URL_ARGUMENT_ENCODING

The encoding which should be usd for URLs, according to HTTP specification

### Constructor Detail

#### EncoderCache

    public EncoderCache(int cacheSize)

### Method Detail

#### getEncoded

    public String getEncoded(String k)

Get the specified value URL encoded using UTF-8 encoding

Parameters:
  `k` - the value to encode
Returns:
  the value URL encoded using UTF-8

#### getEncoded

    public String getEncoded(String k,
                             String contentEncoding)
                      throws UnsupportedEncodingException

Get the specified value URL encoded using the specified encoding

Parameters:
  `k` - the value to encode
  `contentEncoding` - the encoding to use when URL encoding
Returns:
  the value URL encoded using the specified encoding
Throws:
  `UnsupportedEncodingException` - if the specified encoding is not supported